Extensions/Webhooks
Returns all the webhooks of the organization. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/extensions/event-webhooks HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"result": [
{
"id": "text",
"name": "text",
"description": "text",
"trigger_type": "text",
"payload_type": "text",
"custom_payload_template_name": "text"
}
],
"meta": {
"total_count": 1
}
}
}Add webhook to the organization. Returns the webhook object in response. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
Name of the webhook
Description of the webhook
Headers to be sent with the webhook
Maximum number of retries for the webhook
List of team IDs to which this webhook is applicable
Set to true if the webhook is configured for all teams
Slug of the custom payload template
Language for the webhook payload
List of email IDs for notification
Type of trigger
Custom payload for the webhook
Type of payload
The request has succeeded and a new resource has been created as a result.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
POST /v3/extensions/event-webhooks HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 429
{
"name": "text",
"description": "text",
"triggers": [
{
"event_class": "text",
"event_type": "text"
}
],
"urls": [
{
"url": "text",
"method": "text"
}
],
"header": {},
"filters": {
"op": "text",
"conditions": [
{
"op": "text",
"lhs": "text",
"rhs": "text"
}
]
},
"max_retry": 1,
"teams": [
"text"
],
"is_all_teams_configured": true,
"custom_payload_template_slug": "text",
"language": "text",
"mail_ids": [
"text"
],
"trigger_type": "text",
"custom_payload": "text",
"payload_type": "text"
}{
"data": {
"id": "text",
"created_at": "text",
"updated_at": "text",
"organization_id": "text",
"author_id": "text",
"slug": "text",
"version": "text",
"name": "text",
"description": "text",
"triggers": [
{
"event_class": "text",
"event_type": "text"
}
],
"urls": [
{
"url": "text",
"method": "text"
}
],
"header": {},
"filters": {
"op": "text",
"conditions": [
{
"op": "text",
"lhs": "text",
"rhs": "text"
}
]
},
"max_retry": 1,
"teams": [
"text"
],
"is_all_teams_configured": true,
"custom_payload_template_slug": "text",
"language": "text",
"mail_ids": [
"text"
],
"trigger_type": "text",
"custom_payload": "text",
"payload_type": "text"
}
}Returns a webhooks details of the given eventWebhookID in the request param. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.
(Required) event webhook ID
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/extensions/event-webhooks/{eventWebhookID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"id": "text",
"created_at": "text",
"updated_at": "text",
"organization_id": "text",
"author_id": "text",
"slug": "text",
"version": "text",
"name": "text",
"description": "text",
"triggers": [
{
"event_class": "text",
"event_type": "text"
}
],
"urls": [
{
"url": "text",
"method": "text"
}
],
"header": {},
"filters": {
"op": "text",
"conditions": [
{
"op": "text",
"lhs": "text",
"rhs": "text"
}
]
},
"max_retry": 1,
"teams": [
"text"
],
"is_all_teams_configured": true,
"custom_payload_template_slug": "text",
"language": "text",
"mail_ids": [
"text"
],
"trigger_type": "text",
"custom_payload": "text",
"payload_type": "text"
}
}Update organization webhook details. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
Name of the webhook
Description of the webhook
Headers to be sent with the webhook
Maximum number of retries for the webhook
List of team IDs to which this webhook is applicable
Set to true if the webhook is configured for all teams
Slug of the custom payload template
Language for the webhook payload
List of email IDs for notification
Type of trigger
Custom payload for the webhook
Type of payload
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PUT /v3/extensions/event-webhooks/{eventWebhookID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 429
{
"name": "text",
"description": "text",
"triggers": [
{
"event_class": "text",
"event_type": "text"
}
],
"urls": [
{
"url": "text",
"method": "text"
}
],
"header": {},
"filters": {
"op": "text",
"conditions": [
{
"op": "text",
"lhs": "text",
"rhs": "text"
}
]
},
"max_retry": 1,
"teams": [
"text"
],
"is_all_teams_configured": true,
"custom_payload_template_slug": "text",
"language": "text",
"mail_ids": [
"text"
],
"trigger_type": "text",
"custom_payload": "text",
"payload_type": "text"
}{
"data": {
"id": "text",
"created_at": "text",
"updated_at": "text",
"organization_id": "text",
"author_id": "text",
"slug": "text",
"version": "text",
"name": "text",
"description": "text",
"triggers": [
{
"event_class": "text",
"event_type": "text"
}
],
"urls": [
{
"url": "text",
"method": "text"
}
],
"header": {},
"filters": {
"op": "text",
"conditions": [
{
"op": "text",
"lhs": "text",
"rhs": "text"
}
]
},
"max_retry": 1,
"teams": [
"text"
],
"is_all_teams_configured": true,
"custom_payload_template_slug": "text",
"language": "text",
"mail_ids": [
"text"
],
"trigger_type": "text",
"custom_payload": "text",
"payload_type": "text"
}
}Remove webhook from the organization. Upon success, the webhook will be removed from the organization. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
(Required) event webhook ID
There is no content to send for this request, but the headers may be useful.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
DELETE /v3/extensions/event-webhooks/{eventWebhookID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}Last updated